Package be.fgov.ehealth.etkra.protocol.v2

# Class CompleteETKRegistrationRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.etkra.protocol.v2.CompleteETKRegistrationRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class CompleteETKRegistrationRequest extends RequestType implements Serializable
This request completes the ETK registration process. This is done by sending an X509 certificate that the client generated by signing with their own eHealth private authentication key. Additionally the X509 certificate must have the serial number that was decrypted from the challenge returned by the StartETKRegistration operation.

Java class for CompleteETKRegistrationRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CompleteETKRegistrationRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence minOccurs="0">
             <element name="ToBeRegistered" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompleteETKRegistrationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Signature`
  `getSignature()`
  An enveloped XML signature that signs the entire request element.
  `byte[]`
  `getToBeRegistered()`
  The X509 certificate with the serial number that was encrypted in the challenge.
  `void`
  `setSignature(Signature value)`
  Sets the value of the signature property.
  `void`
  `setToBeRegistered(byte[] value)`
  Sets the value of the toBeRegistered property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompleteETKRegistrationRequest

    public CompleteETKRegistrationRequest()

- ## Method Details

  - ### getToBeRegistered

    public byte[] getToBeRegistered()
    The X509 certificate with the serial number that was encrypted in the challenge. The certificate must be in ASN.1 DER format.
    Returns:
      possible object is byte[]

  - ### setToBeRegistered

    public void setToBeRegistered(byte[] value)
    Sets the value of the toBeRegistered property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getToBeRegistered()`

  - ### getSignature

    public Signature getSignature()
    An enveloped XML signature that signs the entire request element. The signature must be created with the same eHealth authentication certificate the user used in the StartETKRegistration step.
    Returns:
      possible object is `Signature`

  - ### setSignature

    public void setSignature(Signature value)
    Sets the value of the signature property.
    Parameters:
      `value` - allowed object is `Signature`
    See Also:
      - `getSignature()`